package cn.superdesk.uniorder.dubbo.facade._commom;

import cn.superdesk.uniorder.common.mq.redis.constants.RedisKeyPrefix;

public interface DubboRedisService {

	/**
	 * 功能说明:通过key获取保存到redis里的值
	 *
	 * @param keyPrefix key前缀
	 * @param key       key后缀
	 * @return
	 */
	Object getKey(RedisKeyPrefix keyPrefix, String key);

	/**
	 * 返回redis 哈希表 key 中给定域 field 的值
	 *
	 * @param redisKey
	 * @param hashKey
	 * @return
	 */
	Object hgetKey(String redisKey, String hashKey);

	void saveObject(String value, RedisKeyPrefix keyPrefix, String key, long time);

	void deleteKey(RedisKeyPrefix keyPrefix, String key);
}
